WV2-CONFIG(1)

NAME
wv2-config - script to get information about the installed version of wv2

SYNOPSIS
wv2-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags]

DESCRIPTION

wv2-config is used to determine the compiler and linker flags that should be used to compile and link programs that use wv2.

OPTIONS
wv2-config accepts the following options.

--prefix=DIR
    If specified, use DIR instead of the installation prefix that wv2 was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix is not specified. This option must be specified before any --libs or --cflags options. If no DIR is specified then the current installation prefix will be written to standard output.

--exec-prefix=DIR
    If specified, use DIR instead of the installation exec prefix that wv2 was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options. If no DIR is specified then the current installation exec prefix will be written to standard output.

--version
    Print the currently installed version of wv2 on standard output.

--libs
    Print the linker flags that are necessary to link a program against wv2.

--cflags
    Print the compiler flags that are necessary to compile a program that uses wv2.

SEE ALSO
Some documentation regarding the design of the wv2 library is available in /usr/share/doc/libwv2-dev/design/ .

AUTHOR
The wv2 library was written by Shaheed Haque <srhaque@iee.org>, Werner Trobin <trobin@kde.org> and David Faure <faure@kde.org>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system, but may be used by others.